/* ENERCA MAIN COLORS */
:root {
    --bs-primary: #003A8F;   /* Bleu */
    --bs-warning: #FFD400;   /* Jaune */
    --bs-danger:  #D10000;   /* Rouge éclair */
    --bs-primary-rgb: 0, 58, 143;
    --bs-warning-rgb: 255, 212, 0;
    --bs-danger-rgb: 209, 0, 0;
    --text-dark: #1F2933;
    --text-muted: #6B7280;
    --border-light: #E5E7EB;
    --bg-light: #F9FAFB;
    --bs-body-color: #E5E7EB;
    --bs-breadcrumb-divider: "/";
}

.breadcrumb-item + .breadcrumb-item::before {
  float: left;
  padding-right: 0.5rem;
  color: black;
  content: var(--bs-breadcrumb-divider, "/") /* rtl: var(--bs-breadcrumb-divider, "/") */;
}

.breadcrumb {
    background: var(--bs-primary);
    padding: 15px 10px;
}

.breadcrumb-item.active {
    color: white;
}

.navbar-brand {
    padding-top: 2px;
    padding-bottom: 2px;
}

.post-content-detail p {
    margin-bottom: 0.3rem;
}

.post-content-detail a {
    color: var(--bs-primary);
}

.post-content-detail a:hover {
    color: var(--bs-danger);
    text-decoration: underline;
}

.post-category {
    border: solid 2px rgba(0, 0, 0, 0.1);
    height: 30%;
}

.comment {
    padding: 10px 0 0;
}

.comment-body {
    padding: 10px;
    margin: 0px;
    border: solid 1px rgba(0, 0, 0, 0.1);
}

.team-item {
    position: relative;
    overflow: hidden;
    margin-bottom: 5px;
}

.category-square-avatar {
    position: relative;
    width: 100%;
    padding-top: 100%; /* Hauteur = largeur -> forme carrée */
    overflow: hidden;
}

.category-square-avatar img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.team-item .team-desc {
    padding: 5px;
}


section {
    padding-top: 2rem;
    padding-bottom: 3.8rem;
}

label {
    color: var(--bs-primary);
    font-weight: bold;
}

.page-item.active .page-link {
    background-color: var(--bs-primary);
}

.required{
    font-weight: bold;
    color: var(--bs-danger);
}

.alert{
    text-align : center;
    width : 70%;
    margin : 0.4% auto;
    --bs-alert-padding-x: 1rem;
    --bs-alert-padding-y: 0.5rem;
    padding: var(--bs-alert-padding-y) var(--bs-alert-padding-x);
}

.alert-full{
    width : 100%;
}

input, select, optgroup, textarea {
    margin-bottom: 15px;
}

a {
    color: var(--bs-warning);
    text-decoration: none;
}

.dropdown-item:hover, .dropdown-item:focus {
    color: var(--bs-primary) !important;
}


a:hover, .navbar-top a:hover {
    color: var(--bs-warning);
    text-decoration: none;
}

.navbar-light .navbar-nav .nav-link:hover, .navbar-light .navbar-nav .nav-link:focus {
    color: var(--bs-primary);
}

.navbar-brand .navbar-brand-item {
    height: 60px;
    display: block;
    width: auto;
}

@media (min-width: 1200px) {
    .navbar-nav .dropdown-menu:before {
        background: linear-gradient(150deg, var(--bs-danger) 0%, var(--bs-primary) 100%);
    }
}

@media (min-width: 992px) {
    .navbar-expand-lg .navbar-nav .nav-link {
        padding-right: 0.5rem;
        padding-left: 0.5rem;
    }
}

.btn-grad {
    background: linear-gradient(150deg, var(--bs-warning) 0%, var(--bs-danger) 20%, var(--bs-primary) 100%);
}


.navbar-light .navbar-nav .nav-link {
    color: var(--bs-danger);
}

.primary-hover a {
    color: var(--bs-body-color);
}

.dropdown-item {
    text-transform: initial;
}

.navbar-nav .nav-link {
    text-transform: initial;
}